## lsscsi 0.14

=== Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/man

CC = gcc
LD = gcc

EXECS = lsscsi

MAN_PGS = lsscsi.8
MAN_PREF = man8

CFLAGS = -g -O2 -W -Wall
# CFLAGS = -g -O2 -W -Wall -DDEBUG
# CFLAGS = -g -O2 -W -Wall -pedantic -std=c99 -DDEBUG

LDFLAGS =

all: $(EXECS)

depend dep:
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXECS) core .depend

lsscsi: lsscsi.o
	$(LD) -o $@ $(LDFLAGS) $^ -lsysfs

install: $(EXECS) $(COMMON)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

## lsscsi 0.26

=== debian/changelog ===
lsscsi (0.26-2) unstable; urgency=low

  * Enable hardened build flags

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 11:27:31 +1000

lsscsi (0.26-1) unstable; urgency=low

  [ Guillaume Delacour <gui@iroqwa.org> ]
  * New upstream release (Closes: #608223), repackage tgz without debian subdir
  * Bump to Standards-Version 3.9.3
    + Add Homepage field in debian/control
  * debian/control: Depends on ${misc:Depends}
  * debian/control: Build-Depends on debhelper 9 and autotools-dev
  * debian/compat: Use version 9
  * debian/rules: Use default debhelper template
  * debian/docs: Remove doc/lsscsi.html, no more provided upstream
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/watch: Create it to track new versions
  * debian/patches/FTBFS_kfreebsd.diff: Don't include obsolete linux/major.h
  * debian/copyright: Use DEP5 format

  [ Anibal Monsalve Salazar ]
  * Add myself as co-maintainer.

 -- Guillaume Delacour <gui@iroqwa.org>  Sat, 21 Apr 2012 12:56:37 +0200

lsscsi (0.21-2) unstable; urgency=low

  * Fix pbuilder generated damage that was causing FTBFS

 -- Matt Taggart <taggart@debian.org>  Tue, 29 Jul 2008 19:41:58 +0000

lsscsi (0.21-1) unstable; urgency=low

  * new upstream release from July 10
    - fixes needed for linux 2.6.25/2.6.26
  * Update to policy 3.8.0

 -- Matt Taggart <taggart@debian.org>  Sat, 26 Jul 2008 22:28:26 -0700

lsscsi (0.21-0.1) unstable; urgency=low

  * new upstream version

 -- Douglas Gilbert <dgilbert@interlog.org>  Thu, 10 Jul 2008 01:00:00 -0400

lsscsi (0.20-0.1) unstable; urgency=low

  * new upstream version

 -- Douglas Gilbert <dgilbert@interlog.org>  Wed, 9 Jul 2008 15:00:00 -0400

lsscsi (0.19-1) unstable; urgency=low

  * new upstream version
    - add transport information (target + initiator)
    - fixes for 2.6.20
    - other fixes, see ChangeLog for details
  * update to Debian Policy 3.7.2.2, no changes needed

 -- Matt Taggart <taggart@debian.org>  Sat,  3 Feb 2007 15:29:49 -0800

lsscsi (0.19-0.1) unstable; urgency=low

  * new upstream version

 -- Douglas Gilbert <dgilbert@interlog.org>  Wed, 25 Jan 2007 14:00:00 -0500

lsscsi (0.18-0.1) unstable; urgency=low

  * new upstream version

 -- Douglas Gilbert <dgilbert@interlog.org>  Fri, 24 Mar 2006 22:00:00 -0500

lsscsi (0.17-1) unstable; urgency=low

  * new upstream version
  * This version works with 2.6.16 kernels, closes: #359349

 -- Matt Taggart <taggart@debian.org>  Fri, 21 Apr 2006 02:57:00 -0700

lsscsi (0.17-0.1) unstable; urgency=low

  * new upstream version

 -- Douglas Gilbert <dgilbert@interlog.org>  Mon, 06 Feb 2006 16:00:00 +1000

lsscsi (0.16-0.1) unstable; urgency=low

  * add debian build directory

 -- Douglas Gilbert <dgilbert@interlog.org>  Fri, 30 Dec 2005 16:00:00 +1000

lsscsi (0.15-1) unstable; urgency=low

  * New upstream version
  * Upstream removed dependency on libsysfs, remove build-dep
  * Upstream automade/autoconficated, adjust for that
  * Add new AUTHORS and CREDITS to docs, change CHANGELOG to ChangeLog

 -- Matt Taggart <taggart@debian.org>  Wed, 21 Sep 2005 17:34:55 -0700

lsscsi (0.14-1) unstable; urgency=low

  * Initial Release.
  * Standard dh_make single package, minor Makefile variable changes,
    no other changes needed. (upstream knows how to use DESTDIR)

 -- Matt Taggart <taggart@debian.org>  Wed,  2 Feb 2005 00:27:11 -0800

=== debian/control ===
Source: lsscsi
Section: admin
Priority: optional
Maintainer: Matt Taggart <taggart@debian.org>
Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev
Standards-Version: 3.9.3
Homepage: http://sg.danny.cz/scsi/lsscsi.html

Package: lsscsi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: list all SCSI devices (or hosts) currently on system
 Uses information in sysfs (Linux kernels 2.6.0 and later) to list all
 scsi devices (or hosts) currently attached to the system. Options can
 be used to control the amount and form of information provided for each
 device.

## lsscsi 0.27

=== debian/changelog ===
lsscsi (0.27-3) unstable; urgency=medium

  * Standards version is 3.9.5.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 10 Sep 2014 04:40:37 +0100

lsscsi (0.27-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD and hurd-i386
    If linux is defined then include linux/limits.h otherwise include limits.h
    Update FTBFS_kfreebsd.diff

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Jun 2013 20:04:02 +1000

lsscsi (0.27-1) unstable; urgency=low

  * New upstream version 0.27
  * Refresh debian/patches/FTBFS_kfreebsd.diff

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 May 2013 12:58:09 +1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Matt Taggart <taggart@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://sg.danny.cz/scsi/lsscsi.html
 
 Package: lsscsi

## lsscsi 0.28

=== debian/changelog ===
lsscsi (0.28-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #875846.
  * debian/patches/lsscsi-Fix-truncation-of-128-bit-wwn.patch: fix lsscsi
    truncating 128-bit wwns (Closes: #867868) (LP: #1636467).

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2017 08:22:04 +0100

=== debian/watch ===
version=3
http://sg.danny.cz/scsi/lsscsi.html lsscsi-(.*)\.tgz

## lsscsi 0.30

=== debian/changelog ===
lsscsi (0.30-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 0.30, fixing FTBFS (Closes: #915429)
  * Rebase patches; drop 128-bit wwn truncation fix that has been
    integrated upstream

 -- Hilko Bengen <bengen@debian.org>  Tue, 11 Dec 2018 14:35:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Matt Taggart <taggart@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 4.1.1
 Homepage: http://sg.danny.cz/scsi/lsscsi.html
 
 Package: lsscsi

## lsscsi 0.31

=== debian/changelog ===
lsscsi (0.31-1) unstable; urgency=medium

  * New upstream version
  * Standards version is 4.5.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Jul 2020 22:29:43 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Matt Taggart <taggart@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Homepage: http://sg.danny.cz/scsi/lsscsi.html
 
 Package: lsscsi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

## lsscsi 0.32

=== debian/changelog ===
lsscsi (0.32-2) unstable; urgency=medium

  * Standards-Version: 4.7.0
  * Build-Depends on debhelper-compat (= 13)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 13 Jan 2025 06:03:58 +1100

lsscsi (0.32-1) unstable; urgency=medium

  * New upstream version
  * Standards version is 4.6.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 13 Aug 2023 19:15:42 +1000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Matt Taggart <taggart@debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), autotools-dev
-Standards-Version: 4.5.0
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: http://sg.danny.cz/scsi/lsscsi.html
 
 Package: lsscsi
